

public class AssetException extends Exception {
	
	private static final long serialVersionUID = 1L;
	private int errorType;
	
	/**
	 * Erzeugt eine AssetException
	 * @param errorType Fehlertyp
	 */
	public AssetException(int errorType) {
		this.errorType =  errorType;
	}
	
	public String getMessage() {
		String message = "";
		if (errorType == 0) {
			message = "Error: No content / File empty";
		}
		else if (errorType == 1) {
			message = "Error: Invalid media type";
		}
		else if (errorType == 2) {
			message = "Error: URL too short. Possibly reached end of file.";
		}
		return message;
	}

}
