/**
 * @author Sebastian Raß
 * @version 2007-10-27
 *
 */

import java.util.GregorianCalendar;
import java.util.LinkedList;
import java.util.TimeZone;
import java.io.*;

public class Main {

	/**
	 * @param args Keine Parameter notwendig
	 */
	public static void main(String[] args) {
		GregorianCalendar cal = new GregorianCalendar();
		cal.setTimeZone(TimeZone.getTimeZone("MET"));
		File dir = new File("." + File.separator + "feeds" + File.separator + "actual" + File.separator);
		if (dir.exists()) {
			File rename = new File("." + File.separator + "feeds" + File.separator + cal.get(cal.YEAR) + "-" + cal.get(cal.MONTH) + "-" + cal.get(cal.DAY_OF_MONTH) + "-" + cal.get(cal.HOUR_OF_DAY) + "-" + cal.get(cal.MINUTE) );
			dir.renameTo(rename);
		}
		if (!dir.mkdirs()) {
			System.err.println("Error: Could not create directory. Plesae check file permissions.");
		}
		else {
			ContentList mediathek = new ContentList();
			mediathek.genIndex(dir);
			mediathek.genFeeds(dir);
		}
	}

}
